---
#
# Class architecture
#
architecture:
  property: R
  classname: R
  path: ./Tags
  children:
    - property: images
      classname: R2Image
    - property: strings
      classname: R2String
    - property: fonts
      classname: R2Font
    - property: images
      classname: R2Image
    - property: ui
      classname: R2UI
      children:
        - property: images
          classname: R2UIImage
        - property: fonts
          classname: R2UIFont
        - property: images
          classname: R2UIImage
          
#
# Strings
#
strings:
-
 inputFile: ./Strings/sampleStrings.txt
 outputPath: ./Strings/Generated
 langs: "fr en en-us"
 defaultLang: en
 extensionOutputPath: ./Strings/Generated
 extensionName: String
 extensionSuffix: GenAllScript


#
# Images
#
images:
- 
  inputFile: ./Images/sampleImages.txt
  xcassetsPath: ./Images/imagium.xcassets
  extensionOutputPath: ./Images/Generated
  extensionName: ImageYolo
  extensionNameUIKit: UIImageYolo
  extensionSuffix: GenAllScript


# 
# Colors
#
colors:
-
 inputFile: ./Colors/sampleColors1.txt
 style: all
 xcassetsPath: ./Colors/colors.xcassets
 extensionOutputPath: ./Colors/Generated/
 extensionName: ColorYolo
 extensionNameUIKit: UIColorYolo
 extensionSuffix: GenAllScript


#
# Tags
#
tags:
-
  inputFile: ./Tags/sampleTags.txt
  lang: ium
  extensionOutputPath: ./Tags/Generated
  extensionName: Tags
  extensionSuffix: GenAllScript


#
# Analytics
#
analytics:
-
  inputFile: ./Tags/sampleTags.yml
  target: "matomo firebase"
  extensionOutputPath: ./Tags/Generated
  extensionName: Analytics
  extensionSuffix: GenAllScript


#
# Fonts
#
fonts:
-
   inputFile: ./Fonts/sampleFontsAll.txt
   extensionOutputPath: ./Fonts/Generated
   extensionName: FontYolo
   extensionNameUIKit: UIFontYolo
   extensionSuffix: GenAllScript
   infoPlistPaths: "./Fonts/Generated/test.plist ./Fonts/Generated/test2.plist"
